import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxNDIsInVzZXJfa2V5IjoiOTZmYTFlYjMtMzZkMS00NmMyLTg3MDMtZjdlMjFhYjIxNmQ2IiwidXNlcm5hbWUiOiIxODc3ODI3NTEzNiJ9.LYcF_qo_4rvgxgWXBS4j8mdTLiCfZ8pd0xsonzrBq96FC8hLIM_ikUNFPU64Gqn87jubpGumWoX0-iNT5tPuPw'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
